module oneTBB_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libtbb
const libtbb_path = "/usr/lib/libtbb.so.12"
libtbb_handle = C_NULL
get_libtbb_path() = libtbb_path
const libtbb = "libtbb.so.12"
export libtbbmalloc
const libtbbmalloc_path = "/usr/lib/libtbbmalloc.so.2"
libtbbmalloc_handle = C_NULL
get_libtbbmalloc_path() = libtbbmalloc_path
const libtbbmalloc = "libtbbmalloc.so.2"
export libtbbmalloc_proxy
const libtbbmalloc_proxy_path = "/usr/lib/libtbbmalloc_proxy.so.2"
libtbbmalloc_proxy_handle = C_NULL
get_libtbbmalloc_proxy_path() = libtbbmalloc_proxy_path
const libtbbmalloc_proxy = "libtbbmalloc_proxy.so.2"
function __init__()
    global libtbb_handle = dlopen(libtbb_path)
    global libtbbmalloc_handle = dlopen(libtbbmalloc_path)
    global libtbbmalloc_proxy_handle = dlopen(libtbbmalloc_proxy_path)
end
end
